com.tibbo.aggregate.common.protocol

## Class AggreGateNetworkDevice

- java.lang.Object
- - com.tibbo.aggregate.common.protocol.AggreGateDevice
  - - com.tibbo.aggregate.common.protocol.AggreGateNetworkDevice

- Direct Known Subclasses:
    RemoteServer

      public abstract class AggreGateNetworkDevice
      extends AggreGateDevice

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_ADDRESS`
    `static long` | `DEFAULT_CONNECTION_TIMEOUT`

    - ### Fields inherited from class com.tibbo.aggregate.common.protocol.AggreGateDevice

      `DEFAULT_COMMAND_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggreGateNetworkDevice(java.lang.String id, java.lang.String type, java.lang.String address, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getAddress()`
    `long` | `getConnectionTimeout()`
    `java.lang.String` | `getInfo()`
    `int` | `getPort()`
    `int` | `hashCode()`
    `void` | `setAddress(java.lang.String address)`
    `void` | `setConnectionTimeout(long connectionTimeout)`
    `void` | `setPort(int port)`

    - ### Methods inherited from class com.tibbo.aggregate.common.protocol.AggreGateDevice

      `getCommandTimeout, getDescription, getId, getName, getType, isDisabled, setCommandTimeout, setDescription, setDisabled, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ADDRESS

          public static final java.lang.String DEFAULT_ADDRESS

      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_TIMEOUT

          public static final long DEFAULT_CONNECTION_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AggreGateNetworkDevice

          public AggreGateNetworkDevice(java.lang.String id,
                                        java.lang.String type,
                                        java.lang.String address,
                                        int port)

  - ### Method Detail

    - #### getAddress

          public java.lang.String getAddress()

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### setAddress

          public void setAddress(java.lang.String address)

    - #### getConnectionTimeout

          public long getConnectionTimeout()

    - #### setConnectionTimeout

          public void setConnectionTimeout(long connectionTimeout)

    - #### getInfo

          public java.lang.String getInfo()

      Overrides:
        `getInfo` in class `AggreGateDevice`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AggreGateDevice`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `AggreGateDevice`